/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.project.dto.team;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 查询接口--数据传输对象：系统人员表
 * <p>
 * createdate:  2021-09-06 11:05:27  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@JsonSerialize
@ApiModel(description = "系统人员表")
public class MtProjectTeamQueryDto implements Serializable {

    @ApiModelProperty("用户名称")
    private String userChnName;

    @ApiModelProperty("角色id")
    private String roleId;

    @ApiModelProperty(value = "系统id", required = true)
    private List<String> projectList;

    @ApiModelProperty("租户id")
    private String tenantId;

    @ApiModelProperty("逻辑删除(0-未删除,1-已删除)")
    private Boolean deleted;

    private List<String> teamIds;

    @ApiModelProperty("登录名称")
    private String loginNo;

    private List<String> userIds;


    private List<String> deletedUserIds;

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    private String source;

    public String getUserChnName() {
        return userChnName;
    }

    public void setUserChnName(String userChnName) {
        this.userChnName = userChnName;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public List<String> getProjectList() {
        return projectList;
    }

    public void setProjectList(List<String> projectList) {
        this.projectList = projectList;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public List<String> getTeamIds() {
        return teamIds;
    }

    public void setTeamIds(List<String> teamIds) {
        this.teamIds = teamIds;
    }

    public String getLoginNo() {
        return loginNo;
    }

    public void setLoginNo(String loginNo) {
        this.loginNo = loginNo;
    }

    public List<String> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<String> userIds) {
        this.userIds = userIds;
    }

    public List<String> getDeletedUserIds() {
        return deletedUserIds;
    }

    public void setDeletedUserIds(List<String> deletedUserIds) {
        this.deletedUserIds = deletedUserIds;
    }
}